[arch-commits] Commit in wget/repos (6 files)

Bartłomiej Piotrowski bpiotrowski at archlinux.org
Thu Mar 3 11:12:02 UTC 2016


    Date: Thursday, March 3, 2016 @ 12:12:02
  Author: bpiotrowski
Revision: 260618

archrelease: copy trunk to staging-i686, staging-x86_64

Added:
  wget/repos/staging-i686/
  wget/repos/staging-i686/PKGBUILD
    (from rev 260617, wget/trunk/PKGBUILD)
  wget/repos/staging-i686/wget.install
    (from rev 260617, wget/trunk/wget.install)
  wget/repos/staging-x86_64/
  wget/repos/staging-x86_64/PKGBUILD
    (from rev 260617, wget/trunk/PKGBUILD)
  wget/repos/staging-x86_64/wget.install
    (from rev 260617, wget/trunk/wget.install)

-----------------------------+
 staging-i686/PKGBUILD       |   44 ++++++++++++++++++++++++++++++++++++++++++
 staging-i686/wget.install   |   20 +++++++++++++++++++
 staging-x86_64/PKGBUILD     |   44 ++++++++++++++++++++++++++++++++++++++++++
 staging-x86_64/wget.install |   20 +++++++++++++++++++
 4 files changed, 128 insertions(+)

Copied: wget/repos/staging-i686/PKGBUILD (from rev 260617, wget/trunk/PKGBUILD)
===================================================================
--- staging-i686/PKGBUILD	                        (rev 0)
+++ staging-i686/PKGBUILD	2016-03-03 11:12:02 UTC (rev 260618)
@@ -0,0 +1,44 @@
+# $Id$
+# Maintainer: Eric Bélanger <eric at archlinux.org>
+
+pkgname=wget
+pkgver=1.16.3
+pkgrel=2
+pkgdesc="A network utility to retrieve files from the Web"
+arch=('i686' 'x86_64')
+url="http://www.gnu.org/software/wget/wget.html"
+license=('GPL3')
+depends=('openssl' 'libidn' 'libutil-linux')
+checkdepends=('perl-http-daemon' 'perl-io-socket-ssl' 'python')
+optdepends=('ca-certificates: HTTPS downloads')
+backup=('etc/wgetrc')
+install=wget.install
+source=(ftp://ftp.gnu.org/gnu/${pkgname}/${pkgname}-${pkgver}.tar.xz{,.sig})
+sha1sums=('a7d24a8512720893b0a8c5c436f324e9ed43874d'
+          'SKIP')
+validpgpkeys=('AC404C1C0BF735C63FF4D562263D6DF2E163E1EA')
+
+prepare() {
+  cd ${pkgname}-${pkgver}
+  cat >> doc/sample.wgetrc <<EOF
+
+# default root certs location
+ca_certificate=/etc/ssl/certs/ca-certificates.crt
+EOF
+}
+
+build() {
+  cd ${pkgname}-${pkgver}
+  ./configure --prefix=/usr --sysconfdir=/etc --enable-nls --with-ssl=openssl
+  make
+}
+
+check() {
+  cd ${pkgname}-${pkgver}
+  make check
+}
+
+package() {
+  cd ${pkgname}-${pkgver}
+  make DESTDIR="${pkgdir}" install
+}

Copied: wget/repos/staging-i686/wget.install (from rev 260617, wget/trunk/wget.install)
===================================================================
--- staging-i686/wget.install	                        (rev 0)
+++ staging-i686/wget.install	2016-03-03 11:12:02 UTC (rev 260618)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(wget.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  done
+}

Copied: wget/repos/staging-x86_64/PKGBUILD (from rev 260617, wget/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD	                        (rev 0)
+++ staging-x86_64/PKGBUILD	2016-03-03 11:12:02 UTC (rev 260618)
@@ -0,0 +1,44 @@
+# $Id$
+# Maintainer: Eric Bélanger <eric at archlinux.org>
+
+pkgname=wget
+pkgver=1.16.3
+pkgrel=2
+pkgdesc="A network utility to retrieve files from the Web"
+arch=('i686' 'x86_64')
+url="http://www.gnu.org/software/wget/wget.html"
+license=('GPL3')
+depends=('openssl' 'libidn' 'libutil-linux')
+checkdepends=('perl-http-daemon' 'perl-io-socket-ssl' 'python')
+optdepends=('ca-certificates: HTTPS downloads')
+backup=('etc/wgetrc')
+install=wget.install
+source=(ftp://ftp.gnu.org/gnu/${pkgname}/${pkgname}-${pkgver}.tar.xz{,.sig})
+sha1sums=('a7d24a8512720893b0a8c5c436f324e9ed43874d'
+          'SKIP')
+validpgpkeys=('AC404C1C0BF735C63FF4D562263D6DF2E163E1EA')
+
+prepare() {
+  cd ${pkgname}-${pkgver}
+  cat >> doc/sample.wgetrc <<EOF
+
+# default root certs location
+ca_certificate=/etc/ssl/certs/ca-certificates.crt
+EOF
+}
+
+build() {
+  cd ${pkgname}-${pkgver}
+  ./configure --prefix=/usr --sysconfdir=/etc --enable-nls --with-ssl=openssl
+  make
+}
+
+check() {
+  cd ${pkgname}-${pkgver}
+  make check
+}
+
+package() {
+  cd ${pkgname}-${pkgver}
+  make DESTDIR="${pkgdir}" install
+}

Copied: wget/repos/staging-x86_64/wget.install (from rev 260617, wget/trunk/wget.install)
===================================================================
--- staging-x86_64/wget.install	                        (rev 0)
+++ staging-x86_64/wget.install	2016-03-03 11:12:02 UTC (rev 260618)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(wget.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  done
+}



More information about the arch-commits mailing list